Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

RWS — Love Triangle

POST
/tarot/rider-waite/draw/love-triangle

6-card three-person love dynamics.

curl -X POST https://api.astroway.info/v1/tarot/rider-waite/draw/love-triangle \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "seed": 12345, "question": "What should I focus on?", "allowReversed": true }'
object
Example
{
"seed": 12345,
"question": "What should I focus on?",
"allowReversed": true
}

Successful calculation

object
ok
boolean
Example
true
data
object
spread
object
slug
string
name
string
cardCount
number
seed
number
drawn
Array<object>
object
position
object
name
string
card
object
name
string
upright
object
keywords
Array<string>
reversed
boolean

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?